#### D.5.11.10 testParametrization

Procedure from library `paraplanecurves.lib` (see paraplanecurves_lib).

Usage:
  testParametrization(f, rTT); f poly, rTT ring

Assume:
  The assumptions on the basering and the polynomial f are as required by paraPlaneCurve. The ring rTT has two variables and contains an ideal PARA (such as the ring obtained by applying paraPlaneCurve to f).

Return:
  int which is 1 if PARA defines a parametrization of the curve {f=0} and 0, otherwise.

Theory:
  We compute the polynomial defining the image of PARA
  and compare it with f.

Example:

    LIB "paraplanecurves.lib";
    ring R = 0,(x,y,z),dp;
    poly f = y^8-x^3*(z+x)^5;
    def RP1 = paraPlaneCurve(f);
    ==> // 'paraPlaneCurve' created a ring together with an ideal PARA.
    ==> // Supposing you typed, say,  def RP1 = paraPlaneCurve(f);
    ==> // you may access the ideal by typing
    ==> //      setring RP1; PARA;
    testParametrization(f, RP1);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.